@echo off

REM ##### 初期設定 #####
set BIN_DIR=bin
set DATA_DIR=data

REM ##### 引数取得 #####
set PRODUCT_NAME=%1
set PRODUCT_VER=%2
set POSTGRES_HOME=%~3

REM ##### 初期処理 #####
if NOT "%POSTGRES_HOME:~-1%" == "\" (
	set POSTGRES_HOME=%POSTGRES_HOME%\
)

REM ##### インストールチェック #####
if not exist "%POSTGRES_HOME%" (
	echo %PRODUCT_NAME%は、インストールされていません。
	goto end
)
cd "%POSTGRES_HOME%"
if not exist "%BIN_DIR%" (
	if not exist "%DATA_DIR%" (
		echo %PRODUCT_NAME%は、インストールされていません。
		goto end
	)
) else (
	echo %PRODUCT_NAME%をアンインストール後アップデートしてください。
	goto end
)
goto update

REM ##### アップデート #####
:update
echo %PRODUCT_NAME%のアップデート処理をします。^(Ver.%PRODUCT_VER%^)
exit 0

:end
exit 1
